## com.fasterxml.jackson.databind
Class InjectableValues.Std

    java.lang.Object
      com.fasterxml.jackson.databind.InjectableValues
          com.fasterxml.jackson.databind.InjectableValues.Std

Enclosing class:
  InjectableValues

    public static class InjectableValues.Std

extends InjectableValues

Simple standard implementation which uses a simple Map to store values to inject, identified by simple String keys.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.InjectableValues
`InjectableValues.Std`

Field Summary
`protected Map<String,Object>` `_values`

Constructor Summary
`InjectableValues.Std()`
`InjectableValues.Std(Map<String,Object> values)`

Method Summary
`InjectableValues.Std` `addValue(Class<?> classKey, Object value)`
`InjectableValues.Std` `addValue(String key, Object value)`

`Object`

`findInjectableValue(Object valueId, DeserializationContext ctxt, BeanProperty forProperty, Object beanInstance)`
Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _values

    protected final Map<String,Object> _values

Constructor Detail

### InjectableValues.Std

    public InjectableValues.Std()

### InjectableValues.Std

    public InjectableValues.Std(Map<String,Object> values)

Method Detail

### addValue

    public InjectableValues.Std addValue(String key,
                                         Object value)

### addValue

    public InjectableValues.Std addValue(Class<?> classKey,
                                         Object value)

### findInjectableValue

    public Object findInjectableValue(Object valueId,
                                      DeserializationContext ctxt,
                                      BeanProperty forProperty,
                                      Object beanInstance)

  Description copied from class: `InjectableValues`
  Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).

  Specified by:
    `findInjectableValue` in class `InjectableValues`
  Parameters:
    `valueId` - Object that identifies value to inject; may be a simple name or more complex identifier object, whatever provider needs
    `ctxt` - Deserialization context
    `forProperty` - Bean property in which value is to be injected
    `beanInstance` - Bean instance that contains property to inject, if available; null if bean has not yet been constructed.

Copyright © 2012 fasterxml.com. All Rights Reserved.